Bug 638974 - Review Request: erlang-protobuffs - A set of Protocol Buffers tools and modules for Erlang applications
Summary: Review Request: erlang-protobuffs - A set of Protocol Buffers tools and modul...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 639263 652543 652598
TreeView+ depends on / blocked
 
Reported: 2010-09-30 14:24 UTC by Peter Lemenkov
Modified: 2010-11-13 13:37 UTC (History)
3 users (show)

Fixed In Version: erlang-protobuffs-0-0.2.20100930git58ff962.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 14:09:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nathaniel: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Peter Lemenkov 2010-09-30 14:24:09 UTC
Spec URL: http://peter.fedorapeople.org/erlang-protobuffs.spec
SRPM URL: http://peter.fedorapeople.org/erlang-protobuffs-0-0.1.20100930git58ff962.fc12.src.rpm
Description: A set of Protocol Buffers tools and modules for Erlang applications.

This is one of the requirements for rebar.

Koji scratch build for F-14:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2503786

rpmlint messages:
Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-protobuffs-0-0.1.20100930git58ff962.fc12.ppc.rpm 
erlang-protobuffs.ppc: E: explicit-lib-dependency erlang-stdlib
erlang-protobuffs.ppc: E: no-binary
erlang-protobuffs.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
Sulaco ~/rpmbuild/SPECS: 

First message is a false positive (note the "lib" sub-string in the name of "erlang-stdlib" runtime dependency). The rest should be ignored too since it's raised due to installation on arch-independent Erlang's VM data into arch-dependent library, but that's how Erlang/OTP is designed.

Comment 1 Nathaniel McCallum 2010-10-04 18:38:06 UTC
[  OK  ] specfiles match: 05114befc722dc9d5160b22246bba92c
[  OK  ] source files match upstream: ef08e31d3b08548d820e9508de57a31d
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[ FAIL ] license field matches the actual license.
License is MIT, not BSD.
[  OK  ] license is open source-compatible.
[  NA  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
erlang-protobuffs.ppc: E: explicit-lib-dependency erlang-stdlib
erlang-protobuffs.ppc: E: no-binary
erlang-protobuffs.ppc: W: only-non-binary-in-usr-lib
These are all false positives.
[  OK  ] final provides and requires are sane
[  OK  ] %check is present and all tests pass:
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.

Fix the license and we are good to go.

Comment 3 Nathaniel McCallum 2010-10-05 13:01:45 UTC
APPROVED

Comment 4 Peter Lemenkov 2010-10-05 13:08:11 UTC
New Package SCM Request
=======================
Package Name: erlang-protobuffs
Short Description: A set of Protocol Buffers tools and modules for Erlang applications
Owners: peter
Branches: f12 f13 f14 el6 el5
InitialCC:

Comment 5 Jason Tibbitts 2010-10-05 13:34:04 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-05 15:06:10 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-protobuffs-0-0.2.20100930git58ff962.fc14

Comment 7 Fedora Update System 2010-10-05 15:06:16 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/erlang-protobuffs-0-0.2.20100930git58ff962.fc12

Comment 8 Fedora Update System 2010-10-05 15:06:22 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/erlang-protobuffs-0-0.2.20100930git58ff962.el5

Comment 9 Fedora Update System 2010-10-05 15:06:29 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/erlang-protobuffs-0-0.2.20100930git58ff962.fc13

Comment 10 Fedora Update System 2010-10-05 17:25:49 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-protobuffs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-protobuffs-0-0.2.20100930git58ff962.el5

Comment 11 Fedora Update System 2010-10-14 14:09:34 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-19 07:08:04 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-19 07:20:35 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-10-20 16:31:07 UTC
erlang-protobuffs-0-0.2.20100930git58ff962.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.